#include <iostream>

using namespace std;

const int maxn = 40;

int n, m;

void toans(int i, int j)
{
   cout << i << " " << j << "  ";
}

void go(int n, int m)
{
   int dx, dy, x, y, i, j;
   int k = max(n, m);
   for (i = 2*k-1; i >= 1; i--) {
      if (i%2) {
         x = i; y = 1; dx = -1; dy = 1;
         for (j = 1; j <= k; j++) {
            if (x > 0 && x <= n && y > 0 && y <= m) toans(x, y+1);
            x += dx; y += dy;
         }
      } else {
         x = 1; y = i; dx = 1; dy = -1;
         for (j = k; j >= 1; j--) {
            if (x > 0 && x <= n && y > 0 && y <= m) toans(x, y+1);
            x += dx; y += dy;
         }
      }
   }
}

int main()
{
   freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
                 
   cin >> n >> m;
   int i;
   for (i = 1; i <= n; i++) toans(i, 1);
   for (i = 2; i <= m; i++) toans(n, i);
   go(n-1, m-1);

   fclose(stdin); fclose(stdout);
   return 0;
}
