{$MODE objfpc}
{$I+}
uses
  SysUtils;
var
  fi, fo: TextFile;
  i, N, M: Integer;
  fld: array of array of Boolean;

  procedure Err(s: String);
  begin
    Write(s, ': ', ' @ ', i);
    Halt(1);
  end;

var
  x, y, nx, ny: Integer;
begin
  AssignFile(fi, ParamStr(1)); Reset(fi);
  Read(fi, N, M);
  CloseFile(fi);

  SetLength(fld, N + 1, M + 1);
  try
    AssignFile(fo, ParamStr(2)); Reset(fo);
    x := 1; y := 1;
    for i := 1 to N * M do begin
      if SeekEof(fo) then begin
        Write('Eof');
        Halt(2);
      end;
      Read(fo, nx, ny);
      if (nx < 1) or (nx > N) then Err('X out of range');
      if (ny < 1) or (ny > M) then Err('Y out of range');
      if abs(x - nx) > 1 then Err('Bad dX');
      if abs(y - ny) > 1 then Err('Bad dY');
      x := nx; y := ny;
      if fld[x, y] then Err('Already visited');
      fld[x, y] := true;
    end;
    CloseFile(fo);
    if
      not((x = 1) and (y = 2) or (x = 2) and (y = 1) or (x = 2) and (y = 2))
    then
      Err('No cycle');
    if not SeekEof(fo) then begin
      Write('Extra');
      Halt(2);
    end;
  except on EInOutError do begin
    Write('IO @', i);
    Halt(2);
  end;
  end;
end.
