{$MODE objfpc}
uses
  Classes;

var
  f: TextFile;
  cur: TPoint;

procedure Mv(const dir: TPoint; count: Integer = 1);
begin
  while count > 0 do begin
    Write(f, cur.X, ' ', cur.Y, '  ');
    cur.X := cur.X + dir.X;
    cur.Y := cur.Y + dir.Y;
    Dec(count);
  end;
end;

const
  up: TPoint = (X: 0; Y: 1);
  right: TPoint = (X: 1; Y: 0);
  down: TPoint = (X: 0; Y: -1);
  left: TPoint = (X: -1; Y: 0);
var
  i, N, M: Integer;
begin
  AssignFile(f, 'input.txt'); Reset(f);
  Read(f, N, M);
  CloseFile(f);
  cur.X := 1; cur.Y := 1;
  AssignFile(f, 'output.txt'); Rewrite(f);
  if M mod 2 = 0 then begin
    Mv(right);
    for i := 1 to M div 2 do begin
      if i > 1 then Mv(up);
      Mv(right, N - 2);
      Mv(up);
      Mv(left, N - 2);
    end;
    Mv(left);
    Mv(down, M - 1);
  end
  else if N mod 2 = 0 then begin
    Mv(up);
    for i := 1 to N div 2 do begin
      if i > 1 then Mv(right);
      Mv(up, M - 2);
      Mv(right);
      Mv(down, M - 2);
    end;
    Mv(down);
    Mv(left, N - 1);
  end
  else begin
    Mv(right, N - 1);
    Mv(up, M - 1);
    for i := 1 to N div 2 - 1 do begin
      Mv(left);
      Mv(down, M - 2);
      Mv(left);
      Mv(up, M - 2);
    end;
    Mv(left);
    for i := 1 to M div 2 do begin
      if i > 1 then Mv(down);
      Mv(left);
      Mv(down);
      Mv(right);
    end;
    Mv(down);
  end;
  CloseFile(f);
end.
